## wsjtx 2.7.0~rc3+repack

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.7.2 FATAL_ERROR)

if (APPLE)
  #
  # The following variables define the portability and compatability attributes of the Mac macOS build
  # they are choosen with care and should not be changed without good cause.
  #
  # Among other things these options are chosen to match the portability and compatability options of the
  # Qt framework dylibs which can be checked as follows:
  #
  # otool -l <binary> | grep -A3 LC_VERSION_MIN_MACOSX
  #
  set (CMAKE_OSX_DEPLOYMENT_TARGET 10.12
    CACHE STRING "Earliest version of macOS supported

Earliest version we can support with Qt 5.12, C++11 & libc++ is 10.12.
Do not override this if you intend to build an official deployable installer.")
endif (APPLE)

#
# CMake policies
#
if (POLICY CMP0020)
  cmake_policy (SET CMP0020 NEW) # link to Qt winmain on Windows
endif ()

if (POLICY CMP0043)
  cmake_policy (SET CMP0043 NEW) # ignore COMPILE_DEFINITIONS_<CONFIG>
endif ()

if (POLICY CMP0048)
  cmake_policy (SET CMP0048 NEW) # clear PROJECT_Version_* variables if not set in project() command
endif ()

if (POLICY CMP0063)
  cmake_policy (SET CMP0063 NEW) # honour visibility properties for all library types
endif ()

if (POLICY CMP0071)
  cmake_policy (SET CMP0071 NEW) # run automoc and autouic on generated sources
endif ()

if (POLICY CMP0075)
  cmake_policy (SET CMP0075 NEW) # honour CMAKE_REQUIRED_LIBRARIES in config checks
endif ()

project (wsjtx
  VERSION 2.7.0.0
  LANGUAGES C CXX Fortran
  )
set (PROJECT_DESCRIPTION "WSJT-X: Digital Modes for Weak Signal Communications in Amateur Radio")
set (CMAKE_PROJECT_DESCRIPTION ${PROJECT_DESCRIPTION})

#
# Local CMake modules and support files
#
set (CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/CMake/Modules ${CMAKE_MODULE_PATH})

set (PROJECT_ARCHITECTURE "${CMAKE_SYSTEM_PROCESSOR}")
if (NOT PROJECT_ARCHITECTURE)
  # This is supposed to happen already on Windows
  if (CMAKE_SIZEOF_VOID_P MATCHES 8)
    set (PROJECT_ARCHITECTURE "x64")
  else ()
    set (PROJECT_ARCHITECTURE "$ENV{PROCESSOR_ARCHITECTURE}")
  endif ()
endif ()
message (STATUS "******************************************************")
message (STATUS "Building for for: ${CMAKE_SYSTEM_NAME}-${PROJECT_ARCHITECTURE}")
message (STATUS "******************************************************")

include (set_build_type)
# RC 0 or omitted is a development build, GA is a General Availability release build
set_build_type (RC 3)
set (wsjtx_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${BUILD_TYPE_REVISION}")

#
# project information
#
set (PROJECT_BUNDLE_NAME "WSJT-X")
set (PROJECT_VENDOR "Joe Taylor, K1JT")
set (PROJECT_CONTACT "Joe Taylor <k1jt@arrl.net>")
set (PROJECT_COPYRIGHT "Copyright (C) 2001-2023 by Joe Taylor, K1JT")
set (PROJECT_HOMEPAGE https://wsjt.sourceforge.io/wsjtx.html)
set (PROJECT_MANUAL wsjtx-main)
set (PROJECT_MANUAL_DIRECTORY_URL https://wsjt.sourceforge.io/wsjtx-doc/)
set (PROJECT_SAMPLES_URL http://downloads.sourceforge.net/project/wsjt/)
set (PROJECT_SAMPLES_UPLOAD_DEST frs.sourceforge.net:/home/frs/project/wsjt/)

# make sure that the default configuration is a RELEASE
if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE RELEASE CACHE STRING
    "Choose the type of build, options are: None Debug Release."
    FORCE)
endif (NOT CMAKE_BUILD_TYPE)
if (CMAKE_BUILD_TYPE MATCHES "[Dd][Ee][Bb][Uu][Gg]")
  set (is_debug_build 1)
endif ()


#
# Options & features
#
#	Some of these directly effect compilation by being defined in
#	wsjtx_config.h.in which makes them available to the C/C++
#	pre-processor.
#
include (CMakeDependentOption)

# Allow the developer to select if Dynamic or Static libraries are built
OPTION (BUILD_SHARED_LIBS "Build Shared Libraries" OFF)
# Set the LIB_TYPE variable to STATIC
SET (LIB_TYPE STATIC)
if (BUILD_SHARED_LIBS)
  # User wants to build Dynamic Libraries, so change the LIB_TYPE variable to CMake keyword 'SHARED'
  set (LIB_TYPE SHARED)
endif (BUILD_SHARED_LIBS)

option (UPDATE_TRANSLATIONS "Update source translation translations/*.ts
files (WARNING: make clean will delete the source .ts files! Danger!)")
option (WSJT_SHARED_RUNTIME "Debugging option that allows running from a shared Cloud directory.")
option (WSJT_QDEBUG_TO_FILE "Redirect Qt debuging messages to a trace file.")
option (WSJT_SOFT_KEYING "Apply a ramp to CW keying envelope to reduce transients." ON)
option (WSJT_SKIP_MANPAGES "Skip *nix manpage generation.")
option (WSJT_GENERATE_DOCS "Generate documentation files." ON)
option (WSJT_RIG_NONE_CAN_SPLIT "Allow split operation with \"None\" as rig.")
option (WSJT_TRACE_UDP "Debugging option that turns on UDP message protocol diagnostics.")
option (WSJT_BUILD_UTILS "Build simulators and code demonstrators." ON)
CMAKE_DEPENDENT_OPTION (WSJT_QDEBUG_IN_RELEASE "Leave Qt debugging statements in Release configuration." OFF
  "NOT is_debug_build" OFF)
CMAKE_DEPENDENT_OPTION (WSJT_ENABLE_EXPERIMENTAL_FEATURES "Enable features not fully ready for public releases." ON
  is_debug_build OFF)
CMAKE_DEPENDENT_OPTION (WSJT_CREATE_WINMAIN
  "The wsjtx target is normally built as GUI executable with a WinMain entry point on Windows,
if you want a console application instead then set this option to OFF.

If you just want to see the debug output from the application then the easiest way is to
attach a debugger which will then receive the console output inside its console." ON
  "WIN32" OFF)

#
# install locations
#

if (APPLE)
  set (CMAKE_INSTALL_BINDIR ${CMAKE_PROJECT_NAME}.app/Contents/MacOS)
  set (CMAKE_INSTALL_DATAROOTDIR ${CMAKE_PROJECT_NAME}.app/Contents/Resources)
endif ()

include (GNUInstallDirs)

set (PLUGIN_DESTINATION ${CMAKE_INSTALL_LIBDIR}/plugins)
set (QT_CONF_DESTINATION ${CMAKE_INSTALL_BINDIR})
if (WIN32)
  set (PLUGIN_DESTINATION plugins)
elseif (APPLE)
  set (PLUGIN_DESTINATION ${CMAKE_INSTALL_BINDIR}/../PlugIns)
  set (QT_CONF_DESTINATION ${CMAKE_INSTALL_DATAROOTDIR})
endif ()

set (WSJT_PLUGIN_DESTINATION ${PLUGIN_DESTINATION} CACHE PATH "Path for plugins")
set (WSJT_QT_CONF_DESTINATION ${QT_CONF_DESTINATION} CACHE PATH "Path for the qt.conf file")


#
# Project sources
#
set (fort_qt_CXXSRCS
  lib/shmem.cpp
  )

set (wsjt_qt_CXXSRCS
  helper_functions.cpp
  qt_helpers.cpp
  widgets/MessageBox.cpp
  MetaDataRegistry.cpp
  Network/NetworkServerLookup.cpp
  revision_utils.cpp
  L10nLoader.cpp
  WFPalette.cpp
  Radio.cpp
  RadioMetaType.cpp
  NonInheritingProcess.cpp
  models/IARURegions.cpp
  models/Bands.cpp
  models/Modes.cpp
  models/FrequencyList.cpp
  models/StationList.cpp
  widgets/FrequencyLineEdit.cpp
  widgets/FrequencyDeltaLineEdit.cpp
  item_delegates/CandidateKeyFilter.cpp
  item_delegates/ForeignKeyDelegate.cpp
  item_delegates/MessageItemDelegate.cpp
  validators/LiveFrequencyValidator.cpp
  GetUserId.cpp
  Audio/AudioDevice.cpp
  Transceiver/Transceiver.cpp
  Transceiver/TransceiverBase.cpp
  Transceiver/EmulateSplitTransceiver.cpp
  Transceiver/TransceiverFactory.cpp
  Transceiver/PollingTransceiver.cpp
  Transceiver/HamlibTransceiver.cpp
  Transceiver/HRDTransceiver.cpp
  Transceiver/DXLabSuiteCommanderTransceiver.cpp
  Network/NetworkMessage.cpp
  Network/MessageClient.cpp
  widgets/LettersSpinBox.cpp
  widgets/HintedSpinBox.cpp
  widgets/RestrictedSpinBox.cpp
  widgets/HelpTextWindow.cpp
  SampleDownloader.cpp
  SampleDownloader/DirectoryDelegate.cpp
  SampleDownloader/Directory.cpp
  SampleDownloader/FileNode.cpp
  SampleDownloader/RemoteFile.cpp
  DisplayManual.cpp
  MultiSettings.cpp
  validators/MaidenheadLocatorValidator.cpp
  validators/CallsignValidator.cpp
  widgets/SplashScreen.cpp
  EqualizationToolsDialog.cpp
  widgets/DoubleClickablePushButton.cpp
  widgets/DoubleClickableRadioButton.cpp
  Network/LotWUsers.cpp
  Network/FileDownload.cpp
  models/DecodeHighlightingModel.cpp
  widgets/DecodeHighlightingListView.cpp
  models/FoxLog.cpp
  widgets/AbstractLogWindow.cpp
  widgets/FoxLogWindow.cpp
  widgets/CabrilloLogWindow.cpp
  item_delegates/CallsignDelegate.cpp
  item_delegates/MaidenheadLocatorDelegate.cpp
  item_delegates/FrequencyDelegate.cpp
  item_delegates/FrequencyDeltaDelegate.cpp
  item_delegates/SQLiteDateTimeDelegate.cpp
  models/CabrilloLog.cpp
  logbook/AD1CCty.cpp
  logbook/WorkedBefore.cpp
  logbook/Multiplier.cpp
  Network/NetworkAccessManager.cpp
  widgets/LazyFillComboBox.cpp
  widgets/CheckableItemComboBox.cpp
  widgets/BandComboBox.cpp
  )

set (wsjt_qtmm_CXXSRCS
  Audio/BWFFile.cpp
  )

set (jt9_FSRCS
  lib/jt9.f90
  lib/jt9a.f90
  )

set (wsjtx_CXXSRCS
  WSJTXLogging.cpp
  logbook/logbook.cpp
  Network/PSKReporter.cpp
  Modulator/Modulator.cpp
  Detector/Detector.cpp
  widgets/logqso.cpp
  widgets/displaytext.cpp
  Decoder/decodedtext.cpp
  getfile.cpp
  Audio/soundout.cpp
  Audio/soundin.cpp
  widgets/meterwidget.cpp
  widgets/signalmeter.cpp
  widgets/plotter.cpp
  widgets/widegraph.cpp
  widgets/echograph.cpp
  widgets/echoplot.cpp
  widgets/fastgraph.cpp
  widgets/fastplot.cpp
  widgets/about.cpp
  widgets/astro.cpp
  widgets/messageaveraging.cpp
  widgets/activeStations.cpp
  widgets/colorhighlighting.cpp
  WSPR/WsprTxScheduler.cpp
  widgets/mainwindow.cpp
  Configuration.cpp
  main.cpp
  Network/wsprnet.cpp
  WSPR/WSPRBandHopping.cpp
  widgets/ExportCabrillo.cpp
  )

set (wsjt_CXXSRCS
  Logger.cpp
  lib/crc10.cpp
  lib/crc13.cpp
  lib/crc14.cpp
  )
# deal with a GCC v6 UB error message
set_source_files_properties (
  lib/crc10.cpp
  lib/crc13.cpp
  lib/crc14.cpp
  PROPERTIES COMPILE_FLAGS -fpermissive)

if (WIN32)
  set (wsjt_CXXSRCS
    ${wsjt_CXXSRCS}
    killbyname.cpp
    )

  set (wsjt_qt_CXXSRCS
    ${wsjt_qt_CXXSRCS}
    Transceiver/OmniRigTransceiver.cpp
    )
endif (WIN32)

set (wsjt_FSRCS
  # put module sources first in the hope that they get rebuilt before use
  lib/types.f90
  lib/C_interface_module.f90
  lib/shmem.f90
  lib/crc.f90
  lib/fftw3mod.f90
  lib/hashing.f90
  lib/iso_c_utilities.f90
  lib/jt4.f90
  lib/jt4_decode.f90
  lib/jt65_decode.f90
  lib/jt65_mod.f90
  lib/ft8_decode.f90
  lib/ft4_decode.f90
  lib/fst4_decode.f90
  lib/get_q3list.f90
  lib/jt9_decode.f90
  lib/options.f90
  lib/packjt.f90
  lib/77bit/packjt77.f90
  lib/qra/q65/q65.f90
  lib/q65_decode.f90
  lib/readwav.f90
  lib/timer_C_wrapper.f90
  lib/timer_impl.f90
  lib/timer_module.f90
  lib/wavhdr.f90
  lib/qra/q65/q65_encoding_modules.f90
  lib/ft8/ft8_a7.f90

  # remaining non-module sources
  lib/addit.f90
  lib/afc65b.f90
  lib/afc9.f90
  lib/ana64.f90
  lib/ana932.f90
  lib/analytic.f90
  lib/astro.f90
  lib/astrosub.f90
  lib/astro0.f90
  lib/avecho.f90
  lib/averms.f90
  lib/azdist.f90
  lib/ft8/baseline.f90
  lib/ft4/ft4_baseline.f90
  lib/blanker.f90
  lib/bpdecode40.f90
  lib/bpdecode128_90.f90
  lib/ft8/bpdecode174_91.f90
  lib/baddata.f90
  lib/cablog.f90
  lib/calibrate.f90
  lib/ccf2.f90
  lib/ccf65.f90
  lib/ft8/chkcrc13a.f90
  lib/ft8/chkcrc14a.f90
  lib/chkcall.f90
  lib/chkhist.f90
  lib/chkmsg.f90
  lib/chkss2.f90
  lib/ft4/clockit.f90
  lib/ft8/compress.f90
  lib/coord.f90
  lib/db.f90
  lib/decode4.f90
  lib/decode65a.f90
  lib/decode65b.f90
  lib/decode9w.f90
  lib/ft8/decode174_91.f90
  lib/decoder.f90
  lib/deep4.f90
  lib/deg2grid.f90
  lib/degrade_snr.f90
  lib/demod64a.f90
  lib/determ.f90
  lib/downsam9.f90
  lib/echosim.f90
  lib/echo_snr.f90
  lib/encode232.f90
  lib/encode4.f90
  lib/encode_msk40.f90
  lib/encode_128_90.f90
  lib/ft8/encode174_91.f90
  lib/ft8/encode174_91_nocrc.f90
  lib/entail.f90
  lib/ephem.f90
  lib/extract.f90
  lib/extract4.f90
  lib/extractmessage77.f90
  lib/fano232.f90
  lib/fast9.f90
  lib/fast_decode.f90
  lib/fchisq.f90
  lib/fchisq0.f90
  lib/fchisq65.f90
  lib/fil3.f90
  lib/fil3c.f90
  lib/fil4.f90
  lib/fil6521.f90
  lib/filbig.f90
  lib/ft8/filt8.f90
  lib/fitcal.f90
  lib/flat1.f90
  lib/flat1a.f90
  lib/flat1b.f90
  lib/flat2.f90
  lib/flat4.f90
  lib/flat65.f90
  lib/fmtmsg.f90
  lib/foldspec9f.f90
  lib/four2a.f90
  lib/fspread_lorentz.f90
  lib/ft8/foxfilt.f90
  lib/ft8/foxgen.f90

=== debian/changelog ===
wsjtx (2.7.0~rc3+repack-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:36:20 +1100

wsjtx (2.7.0~rc3+repack-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:30:55 +0000

wsjtx (2.7.0~rc3+repack-1) unstable; urgency=medium

  * New upstream version 2.7.0~rc3+repack
    (https://wsjt.sourceforge.io/wsjtx-doc/Release_Notes_2.7.0-rc3.txt)
  * Refresh patches

 -- tony mancill <tmancill@debian.org>  Mon, 01 Jan 2024 12:05:42 -0800

wsjtx (2.7.0~rc2+repack-2) unstable; urgency=medium

  * Upload 2.7.0~rc2 to unstable (Closes: #1051182)
  * Update debian/gbp.conf for debian/latest

 -- tony mancill <tmancill@debian.org>  Sat, 16 Sep 2023 11:24:29 -0700

wsjtx (2.7.0~rc2+repack-1) experimental; urgency=medium

  * New upstream version 2.7.0~rc2+repack
  * Update debian/watch to use sf redirector
  * Update debian/uupdate.sh to no longer run gbp import-orig
  * Refresh patches for upstream 2.7.0~rc2
  * Add debian/gbp.conf for (partial) DEP-14 layout
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.6.2 (no changes)

 -- tony mancill <tmancill@debian.org>  Sun, 03 Sep 2023 20:53:54 -0700

## wsjtx 2.7.0~rc4+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -71,7 +71,7 @@
 
 include (set_build_type)
 # RC 0 or omitted is a development build, GA is a General Availability release build
-set_build_type (RC 3)
+set_build_type (RC 4)
 set (wsjtx_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${BUILD_TYPE_REVISION}")
 
 #
@@ -160,7 +160,6 @@
 
 set (WSJT_PLUGIN_DESTINATION ${PLUGIN_DESTINATION} CACHE PATH "Path for plugins")
 set (WSJT_QT_CONF_DESTINATION ${QT_CONF_DESTINATION} CACHE PATH "Path for the qt.conf file")
-
 
 #
 # Project sources

=== debian/changelog ===
wsjtx (2.7.0~rc4+repack-1) unstable; urgency=medium

  * New upstream version 2.7.0~rc4+repack
    (https://wsjt.sourceforge.io/wsjtx-doc/Release_Notes_2.7.0-rc4.txt)
  * Refresh patches
  * Freshen my email address
  * Bump standards to 4.7.0 (no changes) 

 -- Dave Hibberd <hibby@debian.org>  Sat, 27 Apr 2024 12:49:18 +0100

=== debian/control ===
Source: wsjtx
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
	Dave Hibberd <hibby@debian.org>,
	Christoph Berg <myon@debian.org>,
        tony mancill <tmancill@debian.org>
Section: hamradio
Priority: optional
Build-Depends:
	asciidoc,
	asciidoctor,
	cmake,
	debhelper-compat (= 13),
	docbook-xsl,
	gfortran,
	libboost-dev,
	libboost-log-dev,
	libfftw3-dev,
	libhamlib-dev (>= 4.1),
	libqcustomplot-dev,
	libqt5opengl5-dev,
	libqt5serialport5-dev,
	libqwt-qt5-dev,
	libsamplerate0-dev,
	libudev-dev,
	portaudio19-dev,
	qtbase5-dev,
	qttools5-dev,
	qtmultimedia5-dev,
	texinfo,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/wsjtx
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/wsjtx.git
Homepage: https://physics.princeton.edu/pulsar/k1jt/wsjtx.html
Rules-Requires-Root: no

Package: wsjtx
Architecture: linux-any
Depends:
	${misc:Depends},
	${shlibs:Depends},
	libhamlib-utils,
	libqt5multimedia5-plugins,
	libqt5sql5-sqlite,
	wsjtx-data (= ${source:Version}),
Recommends: wsjtx-doc
Description: Weak-signal amateur radio communications
 WSJT-X implements amateur radio communication protocols or "modes" called
 FST4, FST4W, FT4, FT8, JT4, JT9, JT65, Q65, MSK144, and WSPR, as well as one
 called Echo for detecting and measuring your own radio signals reflected from
 the Moon.  These modes were all designed for making reliable, confirmed QSOs
 under extreme weak-signal conditions.
 .
 JT4, JT9, and JT65 use nearly identical message structure and source encoding
 (the efficient compression of standard messages used for minimal QSOs). They
 use timed 60-second T/R sequences synchronized with UTC.  JT4 and JT65 were
 designed for EME ("moonbounce") on the VHF/UHF/microwave bands.  JT9 is
 optimized for the MF, and HF bands.  It  is about 2 dB more sensitive than
 JT65 while using less than 10% of the bandwidth.  Q65 offers submodes with a
 wide range of T/R sequence lengths and tone spacings.
 .
 FT4 and FT8 are operationally similar but use T/R cycles only 7.5 and  15 s
 long, respectively.  MSK144 is designed for Meteor Scatter on the VHF bands.
 These modes offer enhanced message formats with support for nonstandard
 callsigns and some popular contests.
 .
 FST4 and FST4W are designed particularly for the LF and MF bands. On these
 bands their fundamental sensitivities are better than other WSJT-X modes with
 the same sequence lengths, approaching the theoretical limits for their rates
 of information throughput. FST4 is optimized for two-way QSOs, while FST4W is
 for quasi-beacon transmissions of WSPR-style messages. FST4 and FST4W do not
 require the strict, independent time synchronization and phase locking of
 modes like EbNaut.
 .
 WSPR mode implements a protocol designed for probing potential propagation
 paths with low-power transmissions. WSPR is fully implemented within WSJT-X,
 including programmable "band-hopping".

Package: wsjtx-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
	hamradio-files,
Description: Weak-signal amateur radio communications (data files)
 WSJT-X implements amateur radio communication protocols or "modes" called FT4,
 FT8, JT4, JT9, JT65, QRA64, ISCAT, MSK144, and WSPR, as well as one called
 Echo for detecting and measuring your own radio signals reflected from the
 Moon. These modes were all designed for making reliable, confirmed QSOs under
 extreme weak-signal conditions.
 .
 This package contains architecture-independent data files.

Package: wsjtx-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
	${shlibs:Depends},
	${misc:Depends},
	fonts-font-awesome,
	fonts-open-sans,
Description: Documentation and examples for the WSJT-X package
 WSJT-X implements amateur radio communication protocols or "modes" called FT4,
 FT8, JT4, JT9, JT65, QRA64, ISCAT, MSK144, and WSPR, as well as one called
 Echo for detecting and measuring your own radio signals reflected from the
 Moon. These modes were all designed for making reliable, confirmed QSOs under
 extreme weak-signal conditions.
 .
 This package provides the software documentation.

## wsjtx 2.7.0~rc6+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -71,7 +71,7 @@
 
 include (set_build_type)
 # RC 0 or omitted is a development build, GA is a General Availability release build
-set_build_type (RC 4)
+set_build_type (RC 6)
 set (wsjtx_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${BUILD_TYPE_REVISION}")
 
 #
@@ -80,7 +80,7 @@
 set (PROJECT_BUNDLE_NAME "WSJT-X")
 set (PROJECT_VENDOR "Joe Taylor, K1JT")
 set (PROJECT_CONTACT "Joe Taylor <k1jt@arrl.net>")
-set (PROJECT_COPYRIGHT "Copyright (C) 2001-2023 by Joe Taylor, K1JT")
+set (PROJECT_COPYRIGHT "Copyright (C) 2001-2024 by Joe Taylor, K1JT")
 set (PROJECT_HOMEPAGE https://wsjt.sourceforge.io/wsjtx.html)
 set (PROJECT_MANUAL wsjtx-main)
 set (PROJECT_MANUAL_DIRECTORY_URL https://wsjt.sourceforge.io/wsjtx-doc/)
@@ -160,6 +160,7 @@
 
 set (WSJT_PLUGIN_DESTINATION ${PLUGIN_DESTINATION} CACHE PATH "Path for plugins")
 set (WSJT_QT_CONF_DESTINATION ${QT_CONF_DESTINATION} CACHE PATH "Path for the qt.conf file")
+
 
 #
 # Project sources

=== doc/CMakeLists.txt ===
set (LANGUAGES
  en
  )

set (common_SRCS
  common/communication.adoc
  common/license.adoc
  common/links.adoc
  )

set (UG_SRCS
  docinfo.html
  docinfo.xml
  acknowledgements.adoc
  astro_data.adoc
  config-details.adoc
  controls-functions-center.adoc
  controls-functions-left.adoc
  controls-functions-main-window.adoc
  controls-functions-menus.adoc
  controls-functions-messages.adoc
  controls-functions-status-bar.adoc
  controls-functions-wide-graph.adoc
  cooperating-programs.adoc
  decoder_notes.adoc
  faq.adoc
  font-sizes.adoc
  install-from-source.adoc
  install-linux.adoc
  install-mac.adoc
  install-windows.adoc
  introduction.adoc
  intro_subsections.adoc
  logging.adoc
  make-qso.adoc
  measurement_tools.adoc
  new_features.adoc
  platform-dependencies.adoc
  protocols.adoc
  settings-advanced.adoc
  settings-audio.adoc
  settings-colors.adoc
  settings-frequencies.adoc
  settings-general.adoc
  settings-radio.adoc
  settings-reporting.adoc
  settings-txmacros.adoc
  support.adoc
  system-requirements.adoc
  transceiver-setup.adoc
  tutorial-example1.adoc
  tutorial-example3.adoc
  tutorial-example4.adoc
  tutorial-example5.adoc
  tutorial-example6.adoc
  tutorial-download-samples.adoc
  tutorial-wide-graph-settings.adoc
  utilities.adoc
  vhf-features.adoc
  wsjtx-main.adoc
  wspr.adoc
  )

set (UG_IMGS
  images/active_stations.png
  images/Add_Frequency.png
  images/Add_station_info.png
  images/AstroData_2.png
  images/Astronomical_data.png
  images/auto-seq.png
  images/band-settings.png
  images/Best_S+P.png
  images/colors.png
  images/config-menu.png
  images/decode-menu.png
  images/download_samples.png
  images/Echo_1296.png
  images/EME_Deep_0.png
  images/EME_Deep_1.png
  images/EME_Deep_2.png
  images/file-menu.png
  images/FreqCal.png
  images/FreqCal_Graph.png
  images/FreqCal_Results.png
  images/freemsg.png
  images/FST4_center.png
  images/FST4_Decoding_Limits.png
  images/FST4W_RoundRobin.png
  images/ft4_decodes.png
  images/ft4_waterfall.png
  images/ft8_decodes.png
  images/FT8_waterfall.png
  images/help-menu.png
  images/JT4F.png
  images/JT65B.png
  images/keyboard-shortcuts.png
  images/MSK144.png
  images/Q65_6m_ionoscatter.png
  images/WSPR_WideGraphControls.png
  images/WSPR_1a.png
  images/WSPR_2.png
  images/jtalert.png
  images/keyboard-shortcuts.png
  images/log-qso.png
  images/MacAppMenu.png
  images/main-ui.png
  images/main-ui-controls.png
  images/misc-controls-center.png
  images/misc-main-ui.png
  images/mode-menu.png
  images/new-msg-box.png
  images/psk-reporter.png
  images/r3666-config-screen-80.png
  images/r3666-main-ui-80.png
  images/r4148-txmac-ui.png
  images/RadioTab.png
  images/reporting.png
  images/save-menu.png
  images/settings-advanced.png
  images/settings-audio.png
  images/settings-frequencies.png
  images/settings-general.png
  images/setup-menu.png
  images/special-mouse-commands.png
  images/status-bar-a.png
  images/tools-menu.png
  images/traditional-msg-box.png
  images/tx-macros.png
  images/VHF_controls.png
  images/view-menu.png
  images/wide-graph-controls.png
  images/Windows_Dark.png
)

find_program (ASCIIDOCTOR_EXECUTABLE NAMES asciidoctor)
if (NOT ASCIIDOCTOR_EXECUTABLE)
  message (FATAL_ERROR "asciidoctor is required to build the documentation

Building the documenation may optionally be turned off by setting the CMake
option WSJT_GENERATE_DOCS to OFF.")
endif (NOT ASCIIDOCTOR_EXECUTABLE)

find_program (FOPUB_EXECUTABLE NAMES fopub)

include (CMakeParseArguments)

# generate a document from asciidoc text files(s)
#
# HTML - generate an HTML document
# PDF - generate a PDF document
# SOURCE - top level asciidoc file
# ASCIIDOCTOR_OPTIONS - asciidoctor command options
# DEPENDS - dependent files
function (document)
  cmake_parse_arguments (_args "HTML" "SOURCE;LANG;OUTPUT" "ASCIIDOCTOR_OPTIONS;PDF;DEPENDS" ${ARGN})
  get_filename_component (_source_path ${_args_SOURCE} PATH)
  get_filename_component (_source_name ${_args_SOURCE} NAME)
  get_filename_component (_output_name_we ${_args_SOURCE} NAME_WE)

  # HTML
  if (${_args_HTML})
    set (_html_file ${CMAKE_CURRENT_BINARY_DIR}/${_output_name_we}_${lang}.html)
    add_custom_command (
      OUTPUT ${_html_file}
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${_source_path}/${lang}
      COMMAND ${ASCIIDOCTOR_EXECUTABLE} ${_args_ASCIIDOCTOR_OPTIONS}
      -b html5
      -a nofooter
      -a VERSION_MAJOR=${PROJECT_VERSION_MAJOR}
      -a VERSION_MINOR=${PROJECT_VERSION_MINOR}
      -a VERSION_PATCH=${PROJECT_VERSION_PATCH}
      -a VERSION=${wsjtx_VERSION}
      --out-file=${_html_file} ${_source_name}
      DEPENDS ${_args_DEPENDS}
      COMMENT "Generating ${_html_file}"
      )
    list (APPEND _output_files ${_html_file})
  endif (${_args_HTML})

  # PDF
  if (_args_PDF AND EXISTS ${FOPUB_EXECUTABLE})
    set (_docbook_file ${CMAKE_CURRENT_BINARY_DIR}/${_output_name_we}_${lang}.xml)
    set (_pdf_file_we ${CMAKE_CURRENT_BINARY_DIR}/${_output_name_we}_${lang})
    if (${lang} MATCHES "^(en|es|fr)$") # en-us, fr-ca and es-{mx,co} use US-Letter or equivalent
      set (_usl_commands
	COMMAND ${FOPUB_EXECUTABLE} ARGS ${_docbook_file} ${_args_PDF} -param paper.type USLetter
	COMMAND ${CMAKE_COMMAND} ARGS -E rename ${_pdf_file_we}.pdf '${_pdf_file_we} \(USLetter\).pdf'
	)
      list (APPEND _output_files "${_pdf_file_we} (USLetter).pdf")
    endif ()
    list (APPEND _output_files "${_pdf_file_we}.pdf")
    add_custom_command (
      OUTPUT ${_docbook_file} ${_output_files}
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${_source_path}/${lang}
      COMMAND ${ASCIIDOCTOR_EXECUTABLE} ARGS ${_args_ASCIIDOCTOR_OPTIONS}
      -b docbook
      -a data-uri!
      -a VERSION_MAJOR=${wsjtx_VERSION_MAJOR}
      -a VERSION_MINOR=${wsjtx_VERSION_MINOR}
      -a VERSION_PATCH=${wsjtx_VERSION_PATCH}${BUILD_TYPE_REVISION}
      -a VERSION=${wsjtx_VERSION}
      -D ${CMAKE_CURRENT_BINARY_DIR}
      -o ${_docbook_file} ${_source_name}
      ${_usl_commands}
      COMMAND ${FOPUB_EXECUTABLE} ARGS ${_docbook_file} ${_args_PDF} -param paper.type A4
      COMMAND ${CMAKE_COMMAND} ARGS -E rename ${_pdf_file_we}.pdf '${_pdf_file_we}.pdf'
      DEPENDS ${_args_DEPENDS}
      COMMENT "Generating ${_output_files}"
      )
  endif (_args_PDF AND EXISTS ${FOPUB_EXECUTABLE})

  set (${_args_OUTPUT} ${_output_files} PARENT_SCOPE)
endfunction (document)

set (htmls)
set (pdfs)
foreach (lang ${LANGUAGES})
  set (_sources)
  foreach (_src ${UG_SRCS} ${UG_IMGS})
    list (APPEND _sources "user_guide/${lang}/${_src}")
  endforeach ()
  document(
    HTML
    SOURCE user_guide/wsjtx-main.adoc
    LANG "${lang}"
    OUTPUT html
    ASCIIDOCTOR_OPTIONS -d book -a data-uri -a toc=left
    DEPENDS ${common_SRCS} ${_sources}
    )
  document(
    PDF -param body.font.master 11 -param body.font.family "'Noto Sans, Helvetica, sans-serif'" -param title.font.family "'Noto Serif, Times New Roman, serif'" -param page.margin.inner 1cm -param page.margin.outer 1cm -param page.margin.top 0.75cm -param page.margin.bottom 0.5cm -param generate.toc 0
    SOURCE user_guide/wsjtx-main.adoc
    LANG "${lang}"
    OUTPUT pdf
    ASCIIDOCTOR_OPTIONS -d book
    DEPENDS ${common_SRCS} ${_sources}
    )
  list (APPEND htmls "${html}")
  list (APPEND pdfs "${pdf}")
endforeach ()

add_custom_target (docs ALL DEPENDS ${htmls} ${pdfs})

foreach (_html ${htmls})
  get_filename_component (_path ${_html} PATH)
  get_filename_component (_nwe ${_html} NAME_WE)
  get_filename_component (_ext ${_html} EXT)
  string (REGEX REPLACE "_en$" "" _nwe ${_nwe})
  install (FILES
    ${_html}
    DESTINATION ${CMAKE_INSTALL_DOCDIR}
    RENAME ${_nwe}-${wsjtx_VERSION}${_ext}
    #COMPONENT runtime
    )
endforeach ()

=== debian/changelog ===
wsjtx (2.7.0~rc6+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- tony mancill <tmancill@debian.org>  Sat, 20 Jul 2024 14:55:14 -0700

wsjtx (2.7.0~rc6+dfsg-1) unstable; urgency=medium

  * New upstream version 2.7.0~rc6+dfsg.
  * Remove lib/superfox from orig tarball; these closed-source binaries for
    superfox operation must be obtained separately. (Other modes are
    unaffected.) See README.Debian for details.

 -- Christoph Berg <myon@debian.org>  Sat, 20 Jul 2024 11:44:53 +0200

wsjtx (2.7.0~rc3+repack-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- tony mancill <tmancill@debian.org>  Sun, 07 Jan 2024 10:47:18 -0800

wsjtx (2.7.0~rc2+repack-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- tony mancill <tmancill@debian.org>  Sun, 17 Sep 2023 08:13:05 -0700

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/wsjtx
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/wsjtx.git
-Homepage: https://physics.princeton.edu/pulsar/k1jt/wsjtx.html
+Homepage: https://sourceforge.net/projects/wsjt/
 Rules-Requires-Root: no
 
 Package: wsjtx
@@ -48,19 +48,19 @@
  WSJT-X implements amateur radio communication protocols or "modes" called
  FST4, FST4W, FT4, FT8, JT4, JT9, JT65, Q65, MSK144, and WSPR, as well as one
  called Echo for detecting and measuring your own radio signals reflected from
- the Moon.  These modes were all designed for making reliable, confirmed QSOs
+ the Moon. These modes were all designed for making reliable, confirmed QSOs
  under extreme weak-signal conditions.
  .
  JT4, JT9, and JT65 use nearly identical message structure and source encoding
  (the efficient compression of standard messages used for minimal QSOs). They
- use timed 60-second T/R sequences synchronized with UTC.  JT4 and JT65 were
- designed for EME ("moonbounce") on the VHF/UHF/microwave bands.  JT9 is
- optimized for the MF, and HF bands.  It  is about 2 dB more sensitive than
- JT65 while using less than 10% of the bandwidth.  Q65 offers submodes with a
+ use timed 60-second T/R sequences synchronized with UTC. JT4 and JT65 were
+ designed for EME ("moonbounce") on the VHF/UHF/microwave bands. JT9 is
+ optimized for the MF, and HF bands. It is about 2 dB more sensitive than
+ JT65 while using less than 10% of the bandwidth. Q65 offers submodes with a
  wide range of T/R sequence lengths and tone spacings.
  .
- FT4 and FT8 are operationally similar but use T/R cycles only 7.5 and  15 s
- long, respectively.  MSK144 is designed for Meteor Scatter on the VHF bands.
+ FT4 and FT8 are operationally similar but use T/R cycles only 7.5 and 15 s
+ long, respectively. MSK144 is designed for Meteor Scatter on the VHF bands.
  These modes offer enhanced message formats with support for nonstandard
  callsigns and some popular contests.
  .
@@ -75,6 +75,9 @@
  WSPR mode implements a protocol designed for probing potential propagation
  paths with low-power transmissions. WSPR is fully implemented within WSJT-X,
  including programmable "band-hopping".
+ .
+ This package does not contain non-free components required for "superfox"
+ operation. See README.Debian for more details.
 
 Package: wsjtx-data
 Architecture: all

=== debian/watch ===
# Use version 3 so uupdate.sh is passed the tarball name.
#
# Specify no-symlink so uscan doesn't try to invoke mk-origtargz to repack
# the upstream tarball; debian/uupdate.sh will handle this, because upstream
# ships their sources tarball within the download tarball.
#
# The sf.net redirector (see https://wiki.debian.org/debian/watch#SourceForge)
# finds both "wsjtx-${version}.tgz" AND "wsjtx-${version}/wsjtx-${version}.tgz"
# The first uversionmangle rule avoids a greedy regex match returning a version
# like "wsjtx-${version}/wsjtx-${version}".  The second maps '-' to '~'.
# Examples returns from the sf.net redirector.
#
#   https://qa.debian.org/watch/sf.php/wsjt/wsjtx-2.7.0-rc2.tgz (2.7.0~rc2) index=2.7.0~rc2-0
#   https://qa.debian.org/watch/sf.php/wsjt/wsjtx-2.7.0-rc2.tgz (2.7.0~rc2) index=2.7.0~rc2-0
#   https://qa.debian.org/watch/sf.php/wsjt/wsjtx-2.7.0-rc2/wsjtx-2.7.0-rc2.tgz (2.7.0~rc2) index=2.7.0~rc2-0
#   https://qa.debian.org/watch/sf.php/wsjt/wsjtx-2.7.0-rc2/wsjtx-2.7.0-rc2.tgz (2.7.0~rc2) index=2.7.0~rc2-0

version=3
opts="uversionmangle=s/.*\/wsjtx-//;s/-rc/~rc/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg,no-symlink" \
http://sf.net/wsjt/wsjtx-(.*?)\.tgz debian debian/uupdate.sh

## wsjtx 2.7.0~rc7+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -50,6 +50,7 @@
   )
 set (PROJECT_DESCRIPTION "WSJT-X: Digital Modes for Weak Signal Communications in Amateur Radio")
 set (CMAKE_PROJECT_DESCRIPTION ${PROJECT_DESCRIPTION})
+set (CMAKE_AUTOUIC ON) 
 
 #
 # Local CMake modules and support files
@@ -71,7 +72,7 @@
 
 include (set_build_type)
 # RC 0 or omitted is a development build, GA is a General Availability release build
-set_build_type (RC 6)
+set_build_type (RC 7)
 set (wsjtx_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${BUILD_TYPE_REVISION}")
 
 #
@@ -126,6 +127,7 @@
 option (WSJT_RIG_NONE_CAN_SPLIT "Allow split operation with \"None\" as rig.")
 option (WSJT_TRACE_UDP "Debugging option that turns on UDP message protocol diagnostics.")
 option (WSJT_BUILD_UTILS "Build simulators and code demonstrators." ON)
+option (WSJT_FOX_OTP "Enable Fox OTP Verification Messages." ON)
 CMAKE_DEPENDENT_OPTION (WSJT_QDEBUG_IN_RELEASE "Leave Qt debugging statements in Release configuration." OFF
   "NOT is_debug_build" OFF)
 CMAKE_DEPENDENT_OPTION (WSJT_ENABLE_EXPERIMENTAL_FEATURES "Enable features not fully ready for public releases." ON
@@ -161,6 +163,12 @@
 set (WSJT_PLUGIN_DESTINATION ${PLUGIN_DESTINATION} CACHE PATH "Path for plugins")
 set (WSJT_QT_CONF_DESTINATION ${QT_CONF_DESTINATION} CACHE PATH "Path for the qt.conf file")
 
+if (WSJT_FOX_OTP)
+  set (wsjt_fox_CXXSRCS
+
+  )
+  message (STATUS "Including Fox verification code feature")
+endif ()
 
 #
 # Project sources
@@ -223,6 +231,7 @@
   widgets/DoubleClickableRadioButton.cpp
   Network/LotWUsers.cpp
   Network/FileDownload.cpp
+  Network/FoxVerifier.cpp
   models/DecodeHighlightingModel.cpp
   widgets/DecodeHighlightingListView.cpp
   models/FoxLog.cpp
@@ -242,6 +251,7 @@
   widgets/LazyFillComboBox.cpp
   widgets/CheckableItemComboBox.cpp
   widgets/BandComboBox.cpp
+  otpgenerator.cpp
   )
 
 set (wsjt_qtmm_CXXSRCS
@@ -292,6 +302,7 @@
   lib/crc10.cpp
   lib/crc13.cpp
   lib/crc14.cpp
+  ${wsjt_fox_CXXSRCS}
   )
 # deal with a GCC v6 UB error message
 set_source_files_properties (
@@ -342,6 +353,10 @@
   lib/wavhdr.f90
   lib/qra/q65/q65_encoding_modules.f90
   lib/ft8/ft8_a7.f90
+  lib/superfox/sfox_mod.f90
+  lib/superfox/julian.f90
+  lib/superfox/popen_module.f90
+  lib/superfox/qpc/qpc_mod.f90
 
   # remaining non-module sources
   lib/addit.f90
@@ -406,24 +421,3 @@
   lib/fast9.f90
   lib/fast_decode.f90
   lib/fchisq.f90
-  lib/fchisq0.f90
-  lib/fchisq65.f90
-  lib/fil3.f90
-  lib/fil3c.f90
-  lib/fil4.f90
-  lib/fil6521.f90
-  lib/filbig.f90
-  lib/ft8/filt8.f90
-  lib/fitcal.f90
-  lib/flat1.f90
-  lib/flat1a.f90
-  lib/flat1b.f90
-  lib/flat2.f90
-  lib/flat4.f90
-  lib/flat65.f90
-  lib/fmtmsg.f90
-  lib/foldspec9f.f90
-  lib/four2a.f90
-  lib/fspread_lorentz.f90
-  lib/ft8/foxfilt.f90
-  lib/ft8/foxgen.f90

=== debian/changelog ===
wsjtx (2.7.0~rc7+repack-1) unstable; urgency=medium

  * New upstream version 2.7.0~rc7+repack.
  * Include superfox functionality, it is open source now. Yay!
  * Collect new licenses in copyright file.

 -- Christoph Berg <myon@debian.org>  Mon, 30 Sep 2024 22:36:16 +0200

## wsjtx 2.7.0~rc8+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -72,7 +72,7 @@
 
 include (set_build_type)
 # RC 0 or omitted is a development build, GA is a General Availability release build
-set_build_type (RC 7)
+set_build_type (RC 8)
 set (wsjtx_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${BUILD_TYPE_REVISION}")
 
 #
@@ -81,7 +81,7 @@
 set (PROJECT_BUNDLE_NAME "WSJT-X")
 set (PROJECT_VENDOR "Joe Taylor, K1JT")
 set (PROJECT_CONTACT "Joe Taylor <k1jt@arrl.net>")
-set (PROJECT_COPYRIGHT "Copyright (C) 2001-2024 by Joe Taylor, K1JT")
+set (PROJECT_COPYRIGHT "Copyright (C) 2001-2025 by Joe Taylor, K1JT")
 set (PROJECT_HOMEPAGE https://wsjt.sourceforge.io/wsjtx.html)
 set (PROJECT_MANUAL wsjtx-main)
 set (PROJECT_MANUAL_DIRECTORY_URL https://wsjt.sourceforge.io/wsjtx-doc/)
@@ -295,6 +295,9 @@
   Network/wsprnet.cpp
   WSPR/WSPRBandHopping.cpp
   widgets/ExportCabrillo.cpp
+  widgets/QSYMessage.cpp 
+  widgets/QSYMessageCreator.cpp
+  widgets/qsymonitor.cpp
   )
 
 set (wsjt_CXXSRCS
@@ -416,8 +419,3 @@
   lib/ephem.f90
   lib/extract.f90
   lib/extract4.f90
-  lib/extractmessage77.f90
-  lib/fano232.f90
-  lib/fast9.f90
-  lib/fast_decode.f90
-  lib/fchisq.f90

=== debian/changelog ===
wsjtx (2.7.0~rc8+repack-1) unstable; urgency=medium

  * New upstream version 2.7.0~rc8+repack.
  * Remove CR from all patches, upstream switched.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Jan 2025 22:12:12 +0100

## wsjtx 2.7.0%2Brepack

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -56,6 +56,7 @@
   tutorial-download-samples.adoc
   tutorial-wide-graph-settings.adoc
   utilities.adoc
+  message-creator.adoc
   vhf-features.adoc
   wsjtx-main.adoc
   wspr.adoc
@@ -113,6 +114,15 @@
   images/r3666-config-screen-80.png
   images/r3666-main-ui-80.png
   images/r4148-txmac-ui.png
+  images/mc1.png
+  images/mc2.png
+  images/mc3.png
+  images/mc4.png
+  images/mc5.png
+  images/mc6.png
+  images/mc7.png
+  images/Split_settings.png
+  images/letter-s.png
   images/RadioTab.png
   images/reporting.png
   images/save-menu.png

=== debian/watch ===
--- 
+++ 
@@ -16,5 +16,5 @@
 #   https://qa.debian.org/watch/sf.php/wsjt/wsjtx-2.7.0-rc2/wsjtx-2.7.0-rc2.tgz (2.7.0~rc2) index=2.7.0~rc2-0
 
 version=3
-opts="uversionmangle=s/.*\/wsjtx-//;s/-rc/~rc/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg,no-symlink" \
+opts="uversionmangle=s/.*\/wsjtx-//;s/-rc/~rc/,dversionmangle=s/\+repack//,repacksuffix=+repack,no-symlink" \
 http://sf.net/wsjt/wsjtx-(.*?)\.tgz debian debian/uupdate.sh

## wsjtx 2.7.0+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -72,7 +72,7 @@
 
 include (set_build_type)
 # RC 0 or omitted is a development build, GA is a General Availability release build
-set_build_type (RC 8)
+set_build_type (GA)
 set (wsjtx_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${BUILD_TYPE_REVISION}")
 
 #

=== lib/ftrsd/Makefile ===
# Makefile for Windows in JTSDK-PY environment

# Re-direct stdout and stderr:     cmd.exe              bash
#                              make > junk 2>&1      make &> junk

CC = gcc
FC = gfortran

FFLAGS = -O2 -DWIN32 -fbounds-check -fno-second-underscore -Wall \
       -Wno-conversion -Wno-character-truncation
CFLAGS = -I. -DWIN32 -DWin32 -DBIGSYM -DHAVE_STRUCT_TIMESPEC

# Default rules
%.o: %.c
	${CC} ${CFLAGS} -c $<
%.o: %.f
	${FC} ${FFLAGS} -c $<
%.o: %.F
	${FC} ${FFLAGS} -c $<
%.o: %.f90
	${FC} ${FFLAGS} -c $<
%.o: %.F90
	${FC} ${FFLAGS} -c $<

all:    libftrsd.a

OBJS1 = extract2.o ftrsd2.o init_rs_int.o encode_rs_int.o decode_rs_int.o
libftrsd.a: $(OBJS1)
	ar cr libftrsd.a $(OBJS1)
	ranlib libftrsd.a
	cp libftrsd.a ..

# Build rsdtest
OBJS2 = rsdtest.o 
rsdtest: $(OBJS2) ../libjt.a
	$(FC) -o rsdtest $(OBJS2) libftrsd.a ../libjt.a ../libpthreadGC2.a

ftrsd: ftrsd.o encode_rs_int.o decode_rs_int.o init_rs_int.o
	gcc -g -o $@ $^

encode_rs_int.o: encode_rs.c
	gcc -DBIGSYM=1 $(CFLAGS) -c -o $@ $^

decode_rs_int.o: decode_rs.c
	gcc -DBIGSYM=1 $(CFLAGS) -c -o $@ $^

init_rs_int.o: init_rs.c
	gcc -DBIGSYM=1 $(CFLAGS) -c -o $@ $^

.PHONY : clean

clean:
	rm -rf *.o libjt.a rsdtest ftrsd

=== debian/changelog ===
wsjtx (2.7.0+repack-1) unstable; urgency=medium

  * New upstream version 2.7.0+repack.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Feb 2025 16:06:08 +0100

=== debian/control ===
--- 
+++ 
@@ -75,9 +75,6 @@
  WSPR mode implements a protocol designed for probing potential propagation
  paths with low-power transmissions. WSPR is fully implemented within WSJT-X,
  including programmable "band-hopping".
- .
- This package does not contain non-free components required for "superfox"
- operation. See README.Debian for more details.
 
 Package: wsjtx-data
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# This ensures that cmake uses debian's version of hamlib
export PKG_CONFIG_ALLOW_SYSTEM_LIBS=1
# Belt and Braces
export WSJT_SKIP_MANPAGES=1
# Debian Hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DPKG_EXPORT_BUILDFLAGS := true
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	# look for documentation in /usr/share/doc/wsjtx instead of .../WSJT-X
	dh_auto_configure -- -DCMAKE_INSTALL_DOCDIR=share/doc/wsjtx

override_dh_installchangelogs:
	# there are various files with upstream notes, NEWS is the most comprehensive one
	dh_installchangelogs NEWS

override_dh_installdocs-indep:
	dh_installdocs --indep
	# Fix font-awesome from cloudflare
	sed -i -e 's/https:\/\/cdnjs.cloudflare.com\/ajax\/libs\/font-awesome\/4.7.0\/css\/font-awesome.min.css/\/usr\/share\/fonts-font-awesome\/css\/font-awesome.min.css/g' \
		debian/wsjtx-doc/usr/share/doc/wsjtx/wsjtx-main-*.html \
		debian/tmp/usr/share/doc/wsjtx/wsjtx-main-*.html
	# Create non-version-dependant filename
	cd debian/wsjtx-doc/usr/share/doc/wsjtx && ln -s wsjtx-main-*.html wsjtx-main.html

## wsjtx 3.0.0~rc1%2Brepack

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,12 +45,12 @@
 endif ()
 
 project (wsjtx
-  VERSION 2.7.0.0
+  VERSION 3.0.0.0
   LANGUAGES C CXX Fortran
   )
 set (PROJECT_DESCRIPTION "WSJT-X: Digital Modes for Weak Signal Communications in Amateur Radio")
 set (CMAKE_PROJECT_DESCRIPTION ${PROJECT_DESCRIPTION})
-set (CMAKE_AUTOUIC ON) 
+set (CMAKE_AUTOUIC ON)
 
 #
 # Local CMake modules and support files
@@ -72,7 +72,7 @@
 
 include (set_build_type)
 # RC 0 or omitted is a development build, GA is a General Availability release build
-set_build_type (GA)
+set_build_type (RC 1)
 set (wsjtx_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${BUILD_TYPE_REVISION}")
 
 #
@@ -121,6 +121,8 @@
 files (WARNING: make clean will delete the source .ts files! Danger!)")
 option (WSJT_SHARED_RUNTIME "Debugging option that allows running from a shared Cloud directory.")
 option (WSJT_QDEBUG_TO_FILE "Redirect Qt debuging messages to a trace file.")
+option (WSJT_TRACE_CAT "Debugging option that turns on CAT diagnostics.")
+option (WSJT_TRACE_CAT_POLLS "Debugging option that turns on CAT diagnostics during polling.")
 option (WSJT_SOFT_KEYING "Apply a ramp to CW keying envelope to reduce transients." ON)
 option (WSJT_SKIP_MANPAGES "Skip *nix manpage generation.")
 option (WSJT_GENERATE_DOCS "Generate documentation files." ON)
@@ -165,7 +167,6 @@
 
 if (WSJT_FOX_OTP)
   set (wsjt_fox_CXXSRCS
-
   )
   message (STATUS "Including Fox verification code feature")
 endif ()
@@ -208,6 +209,7 @@
   Transceiver/TransceiverFactory.cpp
   Transceiver/PollingTransceiver.cpp
   Transceiver/HamlibTransceiver.cpp
+  Transceiver/TCITransceiver.cpp
   Transceiver/HRDTransceiver.cpp
   Transceiver/DXLabSuiteCommanderTransceiver.cpp
   Network/NetworkMessage.cpp
@@ -232,6 +234,7 @@
   Network/LotWUsers.cpp
   Network/FileDownload.cpp
   Network/FoxVerifier.cpp
+  Network/Cloudlog.cpp
   models/DecodeHighlightingModel.cpp
   widgets/DecodeHighlightingListView.cpp
   models/FoxLog.cpp
@@ -300,6 +303,13 @@
   widgets/qsymonitor.cpp
   )
 
+if (${CMAKE_CXX_COMPILER_ID} MATCHES "Clang")
+  set_source_files_properties (
+    widgets/plotter.cpp 
+    widgets/mainwindow.cpp
+    PROPERTIES COMPILE_FLAGS "-Wno-vla-extension")
+endif ()
+
 set (wsjt_CXXSRCS
   Logger.cpp
   lib/crc10.cpp
@@ -339,6 +349,7 @@
   lib/jt4_decode.f90
   lib/jt65_decode.f90
   lib/jt65_mod.f90
+  lib/jt65_mod6.f90 #ft8md
   lib/ft8_decode.f90
   lib/ft4_decode.f90
   lib/fst4_decode.f90
@@ -356,10 +367,13 @@
   lib/wavhdr.f90
   lib/qra/q65/q65_encoding_modules.f90
   lib/ft8/ft8_a7.f90
+  lib/ft8/ft8_a8d.f90
   lib/superfox/sfox_mod.f90
   lib/superfox/julian.f90
   lib/superfox/popen_module.f90
   lib/superfox/qpc/qpc_mod.f90
+  lib/ft8var/ft8_decodevar.f90
+  lib/ft8var/packjt77var.f90
 
   # remaining non-module sources
   lib/addit.f90
@@ -393,29 +407,3 @@
   lib/chkss2.f90
   lib/ft4/clockit.f90
   lib/ft8/compress.f90
-  lib/coord.f90
-  lib/db.f90
-  lib/decode4.f90
-  lib/decode65a.f90
-  lib/decode65b.f90
-  lib/decode9w.f90
-  lib/ft8/decode174_91.f90
-  lib/decoder.f90
-  lib/deep4.f90
-  lib/deg2grid.f90
-  lib/degrade_snr.f90
-  lib/demod64a.f90
-  lib/determ.f90
-  lib/downsam9.f90
-  lib/echosim.f90
-  lib/echo_snr.f90
-  lib/encode232.f90
-  lib/encode4.f90
-  lib/encode_msk40.f90
-  lib/encode_128_90.f90
-  lib/ft8/encode174_91.f90
-  lib/ft8/encode174_91_nocrc.f90
-  lib/entail.f90
-  lib/ephem.f90
-  lib/extract.f90
-  lib/extract4.f90

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	libqcustomplot-dev,
 	libqt5opengl5-dev,
 	libqt5serialport5-dev,
+	libqt5websockets5-dev,
 	libqwt-qt5-dev,
 	libsamplerate0-dev,
 	libudev-dev,
@@ -31,7 +32,7 @@
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/wsjtx
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/wsjtx.git
-Homepage: https://sourceforge.net/projects/wsjt/
+Homepage: https://wsjt.sourceforge.io/wsjtx.html
 Rules-Requires-Root: no
 
 Package: wsjtx
